Bug 171856 - man command bad - binary should not spew out?
man command bad - binary should not spew out?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 23:57 EDT by Mustafa Mehmed
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 04:05:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mustafa Mehmed 2005-10-26 23:57:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.5

Description of problem:
Example: 

man man   works ok.

But type in the following and you get what looks like a buffer overflow error?

man /usr/bin/man   - a whole lot of binary spews out ...

Version-Release number of selected component (if applicable):
man-1.5p-4

How reproducible:
Always

Steps to Reproduce:
1.man `which binaryname`
2.
3.
  

Additional info:

I am running the following kernel Linux xxxxx.qut.edu.au 2.6.13-1.1532_FC4smp #1 
SMP Thu Oct 20 01:51:51 EDT 2005 i686 i686 i386 GNU/Linux
Comment 1 Ivana Varekova 2005-11-16 10:10:20 EST
Could you try to describe your problem more precisely. I could not find any problem.
Thank you.
Comment 2 Mustafa Mehmed 2005-11-16 19:04:19 EST
If you type in the following at a command prompt and press return you will see
what I mean

man `which man`

However if you type in 

man man

the man pages appear and format correctly. Thank you.
Comment 3 Ivana Varekova 2005-11-18 04:05:42 EST
Hello, 
'man man' command displays the file /usr/share/man/man1/man.1.gz (or translated
version of this file), which is the proper man page. The output of command 

which man

is the full patch of command man (/usr/bin/man). Command 

man 'which man'

displays /usr/bin/man file. That is executable binary file, which is not in the
proper format for man command (the proper format is shortly described in man.7
man page), so the result is puzzled. That is the right behavior.  

Note You need to log in before you can comment on or make changes to this bug.